#!/bin/sh

# Giving a "-d" as an argument the root-passwd
# will be deleted.
if [ "$1" = "-d" ]; then
  passwd -d root
else
  passwd root
fi

# The "passwd" binary wrote a file /etc/config/passwd
# This one will be copied to /etc/passwd

echo ""
echo "Remounting / writeable..." 
mount -o rw,remount /

echo "Copying temporary passwd file...";
cp /etc/config/passwd /etc/passwd

echo "Remounting / readonly..."
mount -o ro,remount /
